---
lang: en
title: 'API docs: filter.wherebuilder.regexp'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.wherebuilder.regexp.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [WhereBuilder](./filter.wherebuilder.md) &gt; [regexp](./filter.wherebuilder.regexp.md)

## WhereBuilder.regexp() method

Add a `regexp` condition

<b>Signature:</b>

```typescript
regexp<K extends KeyOf<MT>>(key: K, val: string | RegExp): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | K | Property name |
|  val | string \| RegExp | Regexp condition |

<b>Returns:</b>

this


